Package ru.bitel.bgbilling.kernel.event.events

# Class ContractUpdateObjectEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractUpdateObjectEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractUpdateObjectEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - изменение объекта договора.
Вызывается после изменения названия либо периода объекта.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractUpdateObjectEvent()` |
  `` | `ContractUpdateObjectEvent​(int userId, ContractObject obj)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractObject` | `getContractObject()` | Возвращает измененный объект договора

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractUpdateObjectEvent

    protected ContractUpdateObjectEvent()

  - ### ContractUpdateObjectEvent

    public ContractUpdateObjectEvent​(int userId, ContractObject obj)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `obj` - - измененный объект договора

- ## Method Details

  - ### getContractObject

    public ContractObject getContractObject()
    Возвращает измененный объект договора
    Returns:
      Payment obj - объект договора